<html>
<head>
<title>Ogre::SceneManagerEnumerator Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SceneManagerEnumerator Class Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SceneManagerEnumerator" --><!-- doxytag: inherits="Singleton&lt; SceneManagerEnumerator &gt;,Ogre::AllocatedObject" -->
<p>Enumerates the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> classes available to applications.  
 <a href="classOgre_1_1SceneManagerEnumerator.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneManagerEnumerator:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SceneManagerEnumerator__inherit__graph.gif" border="0" usemap="#Ogre_1_1SceneManagerEnumerator_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SceneManagerEnumerator_inherit__map" id="Ogre_1_1SceneManagerEnumerator_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; SceneManagerEnumerator \&gt;" alt="" coords="5,5,296,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="320,5,429,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SceneManagerEnumerator-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <br class="typebreak"/>
<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Instances</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Scene manager instances, indexed by instance name.  <a href="#a65139ae5132fad9d21fae64c0b22ceb4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; const <br class="typebreak"/>
<a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5fde27af1394a5e2229c624c556629c0">MetaDataList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of available scene manager types as meta data.  <a href="#a5fde27af1394a5e2229c624c556629c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5fde27af1394a5e2229c624c556629c0">MetaDataList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#aba1ede3f8195a234c286f372ef181ce0">MetaDataIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Instances</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ad27d358bd89b7b44a8b360ce36df3aaa">SceneManagerIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ae9f329de24a59f62fc305723f6fbde46">SceneManagerEnumerator</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ae0b6596c1aa9ca66b44b9db6c5781526">~SceneManagerEnumerator</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ac73478338f38ccf1e5779ef173759111">addFactory</a> (<a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *fact)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a new <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>.  <a href="#ac73478338f38ccf1e5779ef173759111"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#acb458bf3cd09c21f35d38c5919926acf">removeFactory</a> (<a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *fact)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>.  <a href="#acb458bf3cd09c21f35d38c5919926acf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a8a380b4d3c7d410358c800fed236a5ca">getMetaData</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get more information about a given type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="#a8a380b4d3c7d410358c800fed236a5ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#aba1ede3f8195a234c286f372ef181ce0">MetaDataIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a6249e163c0bd840f77e7df3f67904daf">getMetaDataIterator</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Iterate over all types of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> available for construction, providing some information about each one.  <a href="#a6249e163c0bd840f77e7df3f67904daf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a97e10c46bc45a4f86f17ed6496b4aec2">createSceneManager</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;typeName, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance of a given type.  <a href="#a97e10c46bc45a4f86f17ed6496b4aec2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a509c915293734c266aa187c3ba722c81">createSceneManager</a> (<a class="el" href="group__Scene.html#gaa4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a> typeMask, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance based on scene type support.  <a href="#a509c915293734c266aa187c3ba722c81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a949f76dbb289634b7f9b064131f015d5">destroySceneManager</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>.  <a href="#a949f76dbb289634b7f9b064131f015d5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ab2a6f231805a893dfff2eabc494b21ce">getSceneManager</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance that has already been created, identified by the instance name.  <a href="#ab2a6f231805a893dfff2eabc494b21ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a767e2f2f14d9bc5aafc99637e7597d97">hasSceneManager</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;instanceName) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Identify if a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance already exists.  <a href="#a767e2f2f14d9bc5aafc99637e7597d97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ad27d358bd89b7b44a8b360ce36df3aaa">SceneManagerIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5bb43dcf8988708ce05c1e4f303066d1">getSceneManagerIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over all the existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instances.  <a href="#a5bb43dcf8988708ce05c1e4f303066d1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#adec389e756f0800fee80a23c740fea3a">setRenderSystem</a> (<a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *rs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notifies all SceneManagers of the destination rendering system.  <a href="#adec389e756f0800fee80a23c740fea3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#af4ced44d3cf71a08ea0e8c4d807b32ce">shutdownAll</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility method to control shutdown of the managers.  <a href="#af4ced44d3cf71a08ea0e8c4d807b32ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a137cf67285fc6ea14574db3dcf181d46">getSingleton</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a137cf67285fc6ea14574db3dcf181d46"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a85109f580da806433a363792a7233fe4">getSingletonPtr</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#a85109f580da806433a363792a7233fe4"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1list.html">list</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a548d5ed3effef1094bb9ca240ea4bf8d">Factories</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Scene manager factories.  <a href="#a548d5ed3effef1094bb9ca240ea4bf8d"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a548d5ed3effef1094bb9ca240ea4bf8d">Factories</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ab1a2d0123b64f95a29460d176b36d971">mFactories</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Instances</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a94dbb182944a32cf82137b253351d8ee">mInstances</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5fde27af1394a5e2229c624c556629c0">MetaDataList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a966292fbcb304e584f411075f95cf5b2">mMetaDataList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stored separately to allow iteration.  <a href="#a966292fbcb304e584f411075f95cf5b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html">DefaultSceneManagerFactory</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a6246f52d458fd225d38ac5341ea0385e">mDefaultFactory</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory for default scene manager.  <a href="#a6246f52d458fd225d38ac5341ea0385e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a7742ef989061d92dc8ad9a5c12dedc7e">mInstanceCreateCount</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Count of creations for auto-naming.  <a href="#a7742ef989061d92dc8ad9a5c12dedc7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a3cc008e5a1a0c9cdb40ea466edde6f34">mCurrentRenderSystem</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Currently assigned render system.  <a href="#a3cc008e5a1a0c9cdb40ea466edde6f34"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Enumerates the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> classes available to applications. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>As described in the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> class, SceneManagers are responsible for organising the scene and issuing rendering commands to the <a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a>. Certain scene types can benefit from different rendering approaches, and it is intended that subclasses will be created to special case this. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>In order to give applications easy access to these implementations, this class has a number of methods to create or retrieve a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> which is appropriate to the scene type. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>SceneManagers are created by <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a> instances. New factories for new types of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> can be registered with this class to make them available to clients. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Note that you can still plug in your own custom <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> without using a factory, should you choose, it's just not as flexible that way. Just instantiate your own <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> manually and use it directly. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00087">87</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a548d5ed3effef1094bb9ca240ea4bf8d"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::Factories" ref="a548d5ed3effef1094bb9ca240ea4bf8d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1list.html">list</a>&lt;<a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a>*&gt;::type <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a548d5ed3effef1094bb9ca240ea4bf8d">Ogre::SceneManagerEnumerator::Factories</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scene manager factories. </p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00096">96</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a65139ae5132fad9d21fae64c0b22ceb4"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::Instances" ref="a65139ae5132fad9d21fae64c0b22ceb4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>*&gt;::type <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Ogre::SceneManagerEnumerator::Instances</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scene manager instances, indexed by instance name. </p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00091">91</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba1ede3f8195a234c286f372ef181ce0"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::MetaDataIterator" ref="aba1ede3f8195a234c286f372ef181ce0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstVectorIterator.html">ConstVectorIterator</a>&lt;<a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5fde27af1394a5e2229c624c556629c0">MetaDataList</a>&gt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#aba1ede3f8195a234c286f372ef181ce0">Ogre::SceneManagerEnumerator::MetaDataIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00134">134</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5fde27af1394a5e2229c624c556629c0"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::MetaDataList" ref="a5fde27af1394a5e2229c624c556629c0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;const <a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a>*&gt;::type <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5fde27af1394a5e2229c624c556629c0">Ogre::SceneManagerEnumerator::MetaDataList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>List of available scene manager types as meta data. </p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00093">93</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad27d358bd89b7b44a8b360ce36df3aaa"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::SceneManagerIterator" ref="ad27d358bd89b7b44a8b360ce36df3aaa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Instances</a>&gt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ad27d358bd89b7b44a8b360ce36df3aaa">Ogre::SceneManagerEnumerator::SceneManagerIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00183">183</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae9f329de24a59f62fc305723f6fbde46"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::SceneManagerEnumerator" ref="ae9f329de24a59f62fc305723f6fbde46" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ae9f329de24a59f62fc305723f6fbde46">Ogre::SceneManagerEnumerator::SceneManagerEnumerator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae0b6596c1aa9ca66b44b9db6c5781526"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::~SceneManagerEnumerator" ref="ae0b6596c1aa9ca66b44b9db6c5781526" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ae0b6596c1aa9ca66b44b9db6c5781526">Ogre::SceneManagerEnumerator::~SceneManagerEnumerator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac73478338f38ccf1e5779ef173759111"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::addFactory" ref="ac73478338f38ccf1e5779ef173759111" args="(SceneManagerFactory *fact)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ac73478338f38ccf1e5779ef173759111">Ogre::SceneManagerEnumerator::addFactory</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *&#160;</td>
          <td class="paramname"><em>fact</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register a new <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Plugins should call this to register as new <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> providers. </dd></dl>

</div>
</div>
<a class="anchor" id="a97e10c46bc45a4f86f17ed6496b4aec2"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::createSceneManager" ref="a97e10c46bc45a4f86f17ed6496b4aec2" args="(const String &amp;typeName, const String &amp;instanceName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a97e10c46bc45a4f86f17ed6496b4aec2">Ogre::SceneManagerEnumerator::createSceneManager</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>typeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>instanceName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance of a given type. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can use this method to create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance of a given specific type. You may know this type already, or you may have discovered it by looking at the results from getMetaDataIterator. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This method throws an exception if the named type is not found. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">typeName</td><td>String identifying a unique <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> type </td></tr>
    <tr><td class="paramname">instanceName</td><td>Optional name to given the new instance that is created. If you leave this blank, an auto name will be assigned. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a509c915293734c266aa187c3ba722c81"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::createSceneManager" ref="a509c915293734c266aa187c3ba722c81" args="(SceneTypeMask typeMask, const String &amp;instanceName=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a97e10c46bc45a4f86f17ed6496b4aec2">Ogre::SceneManagerEnumerator::createSceneManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Scene.html#gaa4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a>&#160;</td>
          <td class="paramname"><em>typeMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>instanceName</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance based on scene type support. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Creates an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> which supports the scene types identified in the parameter. If more than one type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> has been registered as handling that combination of scene types, in instance of the last one registered is returned. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>This method always succeeds, if a specific scene manager is not found, the default implementation is always returned. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">typeMask</td><td>A mask containing one or more SceneType flags </td></tr>
    <tr><td class="paramname">instanceName</td><td>Optional name to given the new instance that is created. If you leave this blank, an auto name will be assigned. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a949f76dbb289634b7f9b064131f015d5"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::destroySceneManager" ref="a949f76dbb289634b7f9b064131f015d5" args="(SceneManager *sm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a949f76dbb289634b7f9b064131f015d5">Ogre::SceneManagerEnumerator::destroySceneManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy an instance of a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </p>

</div>
</div>
<a class="anchor" id="a8a380b4d3c7d410358c800fed236a5ca"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getMetaData" ref="a8a380b4d3c7d410358c800fed236a5ca" args="(const String &amp;typeName) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a>* <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a8a380b4d3c7d410358c800fed236a5ca">Ogre::SceneManagerEnumerator::getMetaData</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>typeName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get more information about a given type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The metadata returned tells you a few things about a given type of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>, which can be created using a factory that has been registered already. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">typeName</td><td>The type name of the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> you want to enquire on. If you don't know the typeName already, you can iterate over the metadata for all types using getMetaDataIterator. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6249e163c0bd840f77e7df3f67904daf"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getMetaDataIterator" ref="a6249e163c0bd840f77e7df3f67904daf" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#aba1ede3f8195a234c286f372ef181ce0">MetaDataIterator</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a6249e163c0bd840f77e7df3f67904daf">Ogre::SceneManagerEnumerator::getMetaDataIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Iterate over all types of <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> available for construction, providing some information about each one. </p>

</div>
</div>
<a class="anchor" id="ab2a6f231805a893dfff2eabc494b21ce"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSceneManager" ref="ab2a6f231805a893dfff2eabc494b21ce" args="(const String &amp;instanceName) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ab2a6f231805a893dfff2eabc494b21ce">Ogre::SceneManagerEnumerator::getSceneManager</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>instanceName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance that has already been created, identified by the instance name. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">instanceName</td><td>The name of the instance to retrieve. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5bb43dcf8988708ce05c1e4f303066d1"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSceneManagerIterator" ref="a5bb43dcf8988708ce05c1e4f303066d1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ad27d358bd89b7b44a8b360ce36df3aaa">SceneManagerIterator</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5bb43dcf8988708ce05c1e4f303066d1">Ogre::SceneManagerEnumerator::getSceneManagerIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over all the existing <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instances. </p>

</div>
</div>
<a class="anchor" id="a137cf67285fc6ea14574db3dcf181d46"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSingleton" ref="a137cf67285fc6ea14574db3dcf181d46" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a>&amp; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a137cf67285fc6ea14574db3dcf181d46">Ogre::SceneManagerEnumerator::getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; SceneManagerEnumerator &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a85109f580da806433a363792a7233fe4"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::getSingletonPtr" ref="a85109f580da806433a363792a7233fe4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a>* <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a85109f580da806433a363792a7233fe4">Ogre::SceneManagerEnumerator::getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; SceneManagerEnumerator &gt;</a>.</p>

</div>
</div>
<a class="anchor" id="a767e2f2f14d9bc5aafc99637e7597d97"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::hasSceneManager" ref="a767e2f2f14d9bc5aafc99637e7597d97" args="(const String &amp;instanceName) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a767e2f2f14d9bc5aafc99637e7597d97">Ogre::SceneManagerEnumerator::hasSceneManager</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>instanceName</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Identify if a <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> instance already exists. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">instanceName</td><td>The name of the instance to retrieve. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb458bf3cd09c21f35d38c5919926acf"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::removeFactory" ref="acb458bf3cd09c21f35d38c5919926acf" args="(SceneManagerFactory *fact)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#acb458bf3cd09c21f35d38c5919926acf">Ogre::SceneManagerEnumerator::removeFactory</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManagerFactory.html">SceneManagerFactory</a> *&#160;</td>
          <td class="paramname"><em>fact</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a <a class="el" href="classOgre_1_1SceneManagerFactory.html" title="Class which will create instances of a given SceneManager.">SceneManagerFactory</a>. </p>

</div>
</div>
<a class="anchor" id="adec389e756f0800fee80a23c740fea3a"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::setRenderSystem" ref="adec389e756f0800fee80a23c740fea3a" args="(RenderSystem *rs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#adec389e756f0800fee80a23c740fea3a">Ogre::SceneManagerEnumerator::setRenderSystem</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td>
          <td class="paramname"><em>rs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notifies all SceneManagers of the destination rendering system. </p>

</div>
</div>
<a class="anchor" id="af4ced44d3cf71a08ea0e8c4d807b32ce"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::shutdownAll" ref="af4ced44d3cf71a08ea0e8c4d807b32ce" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#af4ced44d3cf71a08ea0e8c4d807b32ce">Ogre::SceneManagerEnumerator::shutdownAll</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility method to control shutdown of the managers. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a3cc008e5a1a0c9cdb40ea466edde6f34"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mCurrentRenderSystem" ref="a3cc008e5a1a0c9cdb40ea466edde6f34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a>* <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a3cc008e5a1a0c9cdb40ea466edde6f34">Ogre::SceneManagerEnumerator::mCurrentRenderSystem</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Currently assigned render system. </p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00106">106</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6246f52d458fd225d38ac5341ea0385e"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mDefaultFactory" ref="a6246f52d458fd225d38ac5341ea0385e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DefaultSceneManagerFactory.html">DefaultSceneManagerFactory</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a6246f52d458fd225d38ac5341ea0385e">Ogre::SceneManagerEnumerator::mDefaultFactory</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Factory for default scene manager. </p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00102">102</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1a2d0123b64f95a29460d176b36d971"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mFactories" ref="ab1a2d0123b64f95a29460d176b36d971" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a548d5ed3effef1094bb9ca240ea4bf8d">Factories</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ab1a2d0123b64f95a29460d176b36d971">Ogre::SceneManagerEnumerator::mFactories</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00097">97</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7742ef989061d92dc8ad9a5c12dedc7e"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mInstanceCreateCount" ref="a7742ef989061d92dc8ad9a5c12dedc7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a7742ef989061d92dc8ad9a5c12dedc7e">Ogre::SceneManagerEnumerator::mInstanceCreateCount</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Count of creations for auto-naming. </p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00104">104</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a94dbb182944a32cf82137b253351d8ee"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mInstances" ref="a94dbb182944a32cf82137b253351d8ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a65139ae5132fad9d21fae64c0b22ceb4">Instances</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a94dbb182944a32cf82137b253351d8ee">Ogre::SceneManagerEnumerator::mInstances</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00098">98</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a966292fbcb304e584f411075f95cf5b2"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::mMetaDataList" ref="a966292fbcb304e584f411075f95cf5b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a5fde27af1394a5e2229c624c556629c0">MetaDataList</a> <a class="el" href="classOgre_1_1SceneManagerEnumerator.html#a966292fbcb304e584f411075f95cf5b2">Ogre::SceneManagerEnumerator::mMetaDataList</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stored separately to allow iteration. </p>

<p>Definition at line <a class="el" href="OgreSceneManagerEnumerator_8h_source.html#l00100">100</a> of file <a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::SceneManagerEnumerator::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">SceneManagerEnumerator</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManagerEnumerator_8h_source.html">OgreSceneManagerEnumerator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
